Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.farmacia.vo.elencofarmacie
Class ElencoFarmaciaRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.farmacia.vo.elencofarmacie.ElencoFarmaciaRequest

    public class ElencoFarmaciaRequest

extends java.lang.Object

Criteri di ricerca delle farmacie:

- data di riferimento periodo di convenzione
- numero distretto di appartenenza
- codice ISTAT comune di ubicazione
- codice provinciale della farmacia
- denominazione della farmacia
- tipo di fatturato
- stato giuridico
- partita IVA della farmacia

Almeno un criterio deve essere valorizzato. Se si specificano il codice provinciale o la partita IVA della farmacia vengono ignorati gli altri criteri di ricerca.

Version:
  1.1
Author:
  BisceglieR, CoppiR

Field Summary
`private java.lang.String` | `codProvinciale` Codice provinciale
`private java.lang.String` | `codStatoGiuridico` Stato giuridico: assume un valore tra 1 - pubblica 2 - privata
`private java.lang.String` | `codTipoFatturato` Tipo di fatturato: assume un valore tra 1 - RURALE SUSSIDIATA < €387.342,67 2 - URBANA/RURALE NON SUSS. > €258.228,45 3 - URBANA/RURALE NON SUSS. < €258.228,45 4 - RURALE SUSSIDIATA > €387.342,67 5 - ESERCIZIO COMMERCIALE
`private java.lang.String` | `dataRiferimento` Data di riferimento periodo convenzione
`private java.lang.String` | `istatUbicazione` Codice ISTAT comune di ubicazione
`private java.lang.String` | `nomeFarmacia` Denominazione
`private java.lang.String` | `numDistretto` Numero distretto di appartenenza
`private java.lang.String` | `partitaIva` Partita IVA farmacia

Constructor Summary
`ElencoFarmaciaRequest()`

Method Summary
`java.lang.String` | `getCodProvinciale()`
`java.lang.String` | `getCodStatoGiuridico()`
`java.lang.String` | `getCodTipoFatturato()`
`java.lang.String` | `getDataRiferimento()`
`java.lang.String` | `getIstatUbicazione()`
`java.lang.String` | `getNomeFarmacia()`
`java.lang.String` | `getNumDistretto()`
`java.lang.String` | `getPartitaIva()`
`void` | `setCodProvinciale(java.lang.String codProvinciale)`
`void` | `setCodStatoGiuridico(java.lang.String codStatoGiuridico)`
`void` | `setCodTipoFatturato(java.lang.String codTipoFatturato)`
`void` | `setDataRiferimento(java.lang.String dataRiferimento)`
`void` | `setIstatUbicazione(java.lang.String istatUbicazione)`
`void` | `setNomeFarmacia(java.lang.String nomeFarmacia)`
`void` | `setNumDistretto(java.lang.String numDistretto)`
`void` | `setPartitaIva(java.lang.String partitaIva)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataRiferimento

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataRiferimento

  Data di riferimento periodo convenzione

### numDistretto

    @Facets(pattern="[0-9]*",
            maxLength=2L)
    private java.lang.String numDistretto

  Numero distretto di appartenenza

### istatUbicazione

    @Facets(pattern="[0-9]*",
            length=6L)
    private java.lang.String istatUbicazione

  Codice ISTAT comune di ubicazione

### codProvinciale

    @Facets(pattern="[0-9]*",
            length=4L)
    private java.lang.String codProvinciale

  Codice provinciale

### nomeFarmacia

    private java.lang.String nomeFarmacia

  Denominazione

### codTipoFatturato

    @Facets(pattern="1|2|3|4|5")
    private java.lang.String codTipoFatturato

  Tipo di fatturato: assume un valore tra
  - 1 - RURALE SUSSIDIATA < €387.342,67
  - 2 - URBANA/RURALE NON SUSS. > €258.228,45
  - 3 - URBANA/RURALE NON SUSS. < €258.228,45
  - 4 - RURALE SUSSIDIATA > €387.342,67
  - 5 - ESERCIZIO COMMERCIALE

### codStatoGiuridico

    @Facets(pattern="1|2")
    private java.lang.String codStatoGiuridico

  Stato giuridico: assume un valore tra
  - 1 - pubblica
  - 2 - privata

### partitaIva

    @Facets(pattern="[0-9]*",
            length=11L)
    private java.lang.String partitaIva

  Partita IVA farmacia

Constructor Detail

### ElencoFarmaciaRequest

    public ElencoFarmaciaRequest()

Method Detail

### setDataRiferimento

    public void setDataRiferimento(java.lang.String dataRiferimento)

### getDataRiferimento

    public java.lang.String getDataRiferimento()

### getNumDistretto

    public java.lang.String getNumDistretto()

### setNumDistretto

    public void setNumDistretto(java.lang.String numDistretto)

### getIstatUbicazione

    public java.lang.String getIstatUbicazione()

### setIstatUbicazione

    public void setIstatUbicazione(java.lang.String istatUbicazione)

### getCodProvinciale

    public java.lang.String getCodProvinciale()

### setCodProvinciale

    public void setCodProvinciale(java.lang.String codProvinciale)

### getNomeFarmacia

    public java.lang.String getNomeFarmacia()

### setNomeFarmacia

    public void setNomeFarmacia(java.lang.String nomeFarmacia)

### getCodTipoFatturato

    public java.lang.String getCodTipoFatturato()

### setCodTipoFatturato

    public void setCodTipoFatturato(java.lang.String codTipoFatturato)

### getCodStatoGiuridico

    public java.lang.String getCodStatoGiuridico()

### setCodStatoGiuridico

    public void setCodStatoGiuridico(java.lang.String codStatoGiuridico)

### getPartitaIva

    public java.lang.String getPartitaIva()

### setPartitaIva

    public void setPartitaIva(java.lang.String partitaIva)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD